BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.Object System.Runtime.InteropServices._Attribute System.AttributeUsage(System.AttributeTargets.All) System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._Attribute)) System.Runtime.InteropServices.ComVisible(true)

The following example creates and assigns multiple custom attributes to a class. The attribute contains the name of the programmer and the version number of the class.

`using System; [AttributeUsage(AttributeTargets.Class| AttributeTargets.Struct, AllowMultiple=true)] public class Author : Attribute { string authorName; public double verSion; public Author(string name) { authorName = name; verSion = 1.0; } public string getName() { return authorName; } } [Author("Some Author")] class FirstClass { /*...*/ } class SecondClass // no Author attribute { /*...*/ } [Author("Some Author"), Author("Some Other Author", verSion=1.1)] class ThirdClass { /*...*/ } class AuthorInfo { public static void Main() { PrintAuthorInfo(typeof(FirstClass)); PrintAuthorInfo(typeof(SecondClass)); PrintAuthorInfo(typeof(ThirdClass)); } public static void PrintAuthorInfo(Type type) { Console.WriteLine("Author information for {0}", type); Attribute[] attributeArray = Attribute.GetCustomAttributes(type); foreach(Attribute attrib in attributeArray) { if (attrib is Author) { Author author = (Author)attrib; Console.WriteLine(" {0}, version {1:f}", author.getName(), author.verSion); } } Console.WriteLine(); } }`

The output is

Author information for FirstClass

Some Author, version 1.00

Author information for SecondClass

Author information for ThirdClass

Some Author, version 1.00

Some Other Author, version 1.10

The class associates predefined system information or user-defined custom information with a target element. A target element can be an assembly, class, constructor, delegate, enum, event, field, interface, method, portable executable file module, parameter, property, return value, struct, or another attribute.

Information provided by an attribute is also known as metadata. Metadata can be examined at run time by your application to control how your program processes data, or before run time by external tools to control how your application itself is processed or maintained. For example, the .NET Framework predefines and uses attribute types to control run-time behavior, and some programming languages use attribute types to represent language features not directly supported by the .NET Framework common type system.

All attribute types derive directly or indirectly from the class. Attributes can be applied to any target element; multiple attributes can be applied to the same target element; and attributes can be inherited by an element derived from a target element. Use the class to specify the target element to which the attribute is applied.

The class provides convenient methods to retrieve and test custom attributes. For more information about using attributes, see Applying Attributes and Extending Metadata Using Attributes.

Represents the base class for custom attributes.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is only called by classes that derive from .

  Initializes a new instance of the class.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method overrides .

  An to compare with this instance or null.

  Returns a value that indicates whether this instance is equal to a specified object.

  true if equals the type and value of this instance; otherwise, false.

  An to compare with this instance or null. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute `` `` or is . is not a type derived from . More than one instance of the specified custom attribute was found.

  Use the method if you expect more than one value to be returned, or will be thrown.

  Starting with the .NET Framework version 2.0, this method returns security attributes if the attributes are stored in the new metadata format. Assemblies compiled with version 2.0 or later use the new format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  Retrieves a custom attribute applied to a specified assembly. Parameters specify the assembly and the type of the custom attribute to search for.

  A reference to the single custom attribute of type that is applied to , or null if there is no such attribute.

  An object derived from the class that describes a reusable collection of modules. The type, or a base type, of the custom attribute to search for. 1 RuntimeInfrastructure Reflection
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute `` `` or is . is not a type derived from . does not represent a constructor, method, property, event, type, or field member. More than one instance of the specified custom attribute was found.

  A match is determined in the same way described in the Return Value section of .

  Starting with the .NET Framework version 2.0, this method returns security attributes on types, methods, and constructors if the attributes are stored in the new metadata format. Assemblies compiled with version 2.0 or later use the new format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  Retrieves a custom attribute applied to a member of a type. Parameters specify the member, and the type of the custom attribute to search for.

  A reference to the single custom attribute of type that is applied to , or null if there is no such attribute.

  An object derived from the class that describes a constructor, event, field, method, or property member of a class. The type, or a base type, of the custom attribute to search for. 1 Reflection
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute `` ``

  If multiple instances of can be applied to , use .

  or is . is not a type derived from . More than one instance of the specified custom attribute was found.

  Retrieves a custom attribute applied to a module. Parameters specify the module, and the type of the custom attribute to search for.

  A reference to the single custom attribute of type that is applied to , or null if there is no such attribute.

  An object derived from the class that describes a portable executable file. The type, or a base type, of the custom attribute to search for. 1 Reflection
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute `` `` or is . is not a type derived from . More than one instance of the specified custom attribute was found.

  If represents a parameter in a method of a derived type, the return value includes the inheritable custom attributes applied to the same parameter in the overridden base methods.

  Retrieves a custom attribute applied to a method parameter. Parameters specify the method parameter, and the type of the custom attribute to search for.

  A reference to the single custom attribute of type that is applied to , or null if there is no such attribute.

  An object derived from the class that describes a parameter of a member of a class. The type, or a base type, of the custom attribute to search for. 1 Reflection
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute `` `` ``

  Starting with the .NET Framework version 2.0, this method returns security attributes if the attributes are stored in the new metadata format. Assemblies compiled with version 2.0 or later use the new format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  Retrieves a custom attribute applied to an assembly. Parameters specify the assembly, the type of the custom attribute to search for, and an ignored search option.

  A reference to the single custom attribute of type that is applied to , or null if there is no such attribute.

  An object derived from the class that describes a reusable collection of modules. The type, or a base type, of the custom attribute to search for. This parameter is ignored, and does not affect the operation of this method.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute `` `` ``

  Starting with the .NET Framework version 2.0, this method returns security attributes on types, methods, and constructors if the attributes are stored in the new metadata format. Assemblies compiled with version 2.0 or later use the new format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  Retrieves a custom attribute applied to a member of a type. Parameters specify the member, the type of the custom attribute to search for, and whether to search ancestors of the member.

  A reference to the single custom attribute of type that is applied to , or null if there is no such attribute.

  An object derived from the class that describes a constructor, event, field, method, or property member of a class. The type, or a base type, of the custom attribute to search for. If true, specifies to also search the ancestors of for custom attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute `` `` `` To be added.

  Retrieves a custom attribute applied to a module. Parameters specify the module, the type of the custom attribute to search for, and an ignored search option.

  A reference to the single custom attribute of type that is applied to , or null if there is no such attribute.

  An object derived from the class that describes a portable executable file. The type, or a base type, of the custom attribute to search for. This parameter is ignored, and does not affect the operation of this method.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute `` `` ``

  If represents a parameter in a method of a derived type, the return value includes the inheritable custom attributes applied to the same parameter in the overridden base methods.

  Retrieves a custom attribute applied to a method parameter. Parameters specify the method parameter, the type of the custom attribute to search for, and whether to search ancestors of the method parameter.

  A reference to the single custom attribute of type that is applied to , or null if there is no such attribute.

  An object derived from the class that describes a parameter of a member of a class. The type, or a base type, of the custom attribute to search for. If true, specifies to also search the ancestors of for custom attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute[] `` is .

  Starting with the .NET Framework version 2.0, this method returns security attributes if the attributes are stored in the new metadata format. Assemblies compiled with version 2.0 or later use the new format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  Retrieves an array of the custom attributes applied to an assembly. A parameter specifies the assembly.

  An array that contains the custom attributes applied to , or an empty array if no such custom attributes exist.

  An object derived from the class that describes a reusable collection of modules. 1 RuntimeInfrastructure Reflection
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute[] `` is . does not represent a constructor, method, property, event, type, or field member.

  The return value contains the custom attributes for ancestors of .

  Starting with the .NET Framework version 2.0, this method returns security attributes on methods, constructors, and types if the attributes are stored in the new metadata format. Assemblies compiled with version 2.0 or later use the new format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  Retrieves an array of the custom attributes applied to a member of a type. A parameter specifies the member.

  An array that contains the custom attributes applied to , or an empty array if no such custom attributes exist.

  An object derived from the class that describes a constructor, event, field, method, or property member of a class. 1 Reflection
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute[] `` To be added. is .

  Retrieves an array of the custom attributes applied to a module. A parameter specifies the module.

  An array that contains the custom attributes applied to , or an empty array if no such custom attributes exist.

  An object derived from the class that describes a portable executable file. 1 Reflection
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute[] `` is .

  If represents a parameter in a method of a derived type, the return value includes the inheritable custom attributes applied to the same parameter in the overridden base methods.

  Retrieves an array of the custom attributes applied to a method parameter. A parameter specifies the method parameter.

  An array that contains the custom attributes applied to , or an empty array if no such custom attributes exist.

  An object derived from the class that describes a parameter of a member of a class. 1 Reflection
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute[] `` ``

  Starting with the .NET Framework version 2.0, this method returns security attributes if the attributes are stored in the new metadata format. Assemblies compiled with version 2.0 or later use the new format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  Retrieves an array of the custom attributes applied to an assembly. Parameters specify the assembly, and an ignored search option.

  An array that contains the custom attributes applied to , or an empty array if no such custom attributes exist.

  An object derived from the class that describes a reusable collection of modules. This parameter is ignored, and does not affect the operation of this method.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute[] `` `` or is . is not a type derived from .

  Starting with the .NET Framework version 2.0, this method returns security attributes if the attributes are stored in the new metadata format. Assemblies compiled with version 2.0 or later use the new format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  Retrieves an array of the custom attributes applied to an assembly. Parameters specify the assembly, and the type of the custom attribute to search for.

  An array that contains the custom attributes of type applied to , or an empty array if no such custom attributes exist.

  An object derived from the class that describes a reusable collection of modules. The type, or a base type, of the custom attribute to search for. 1 RuntimeInfrastructure Reflection
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute[] `` ``

  The return value contains the custom attributes for ancestors of if is true.

  Starting with the .NET Framework version 2.0, this method returns security attributes on methods, constructors, and types if the attributes are stored in the new metadata format. Assemblies compiled with version 2.0 or later use the new format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  Retrieves an array of the custom attributes applied to a member of a type. Parameters specify the member, the type of the custom attribute to search for, and whether to search ancestors of the member.

  An array that contains the custom attributes applied to , or an empty array if no such custom attributes exist.

  An object derived from the class that describes a constructor, event, field, method, or property member of a class. If true, specifies to also search the ancestors of for custom attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute[] `` `` or is . is not a type derived from . does not represent a constructor, method, property, event, type, or field member.

  The return value contains the custom attributes for ancestors of .

  Starting with the .NET Framework version 2.0, this method returns security attributes on methods, constructors, and types if the attributes are stored in the new metadata format. Assemblies compiled with version 2.0 or later use the new format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  Retrieves an array of the custom attributes applied to a member of a type. Parameters specify the member, and the type of the custom attribute to search for.

  An array that contains the custom attributes of type applied to , or an empty array if no such custom attributes exist.

  An object derived from the class that describes a constructor, event, field, method, or property member of a class. The type, or a base type, of the custom attribute to search for. 1 Reflection
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute[] `` ``

  The return value contains the custom attributes for ancestors of if is true.

  Retrieves an array of the custom attributes applied to a module. Parameters specify the module, and an ignored search option.

  An array that contains the custom attributes applied to , or an empty array if no such custom attributes exist.

  An object derived from the class that describes a portable executable file. This parameter is ignored, and does not affect the operation of this method.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute[] `` `` To be added. or is . is not a type derived from .

  Retrieves an array of the custom attributes applied to a module. Parameters specify the module, and the type of the custom attribute to search for.

  An array that contains the custom attributes of type applied to , or an empty array if no such custom attributes exist.

  An object derived from the class that describes a portable executable file. The type, or a base type, of the custom attribute to search for. 1 Reflection
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute[] `` ``

  If represents a parameter in a method of a derived type, the return value includes the inheritable custom attributes applied to the same parameter in the overridden base methods.

  Retrieves an array of the custom attributes applied to a method parameter. Parameters specify the method parameter, and whether to search ancestors of the method parameter.

  An array that contains the custom attributes applied to , or an empty array if no such custom attributes exist.

  An object derived from the class that describes a parameter of a member of a class. If true, specifies to also search the ancestors of for custom attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute[] `` `` or is . is not a type derived from .

  If represents a parameter in a method of a derived type, the return value includes the inheritable custom attributes applied to the same parameter in the overridden base methods.

  Retrieves an array of the custom attributes applied to a method parameter. Parameters specify the method parameter, and the type of the custom attribute to search for.

  An array that contains the custom attributes of type applied to , or an empty array if no such custom attributes exist.

  An object derived from the class that describes a parameter of a member of a class. The type, or a base type, of the custom attribute to search for. 1 Reflection
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute[] `` `` ``

  Starting with the .NET Framework version 2.0, this method returns security attributes if the attributes are stored in the new metadata format. Assemblies compiled with version 2.0 or later use the new format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  Retrieves an array of the custom attributes applied to an assembly. Parameters specify the assembly, the type of the custom attribute to search for, and an ignored search option.

  An array that contains the custom attributes of type applied to , or an empty array if no such custom attributes exist.

  An object derived from the class that describes a reusable collection of modules. The type, or a base type, of the custom attribute to search for. This parameter is ignored, and does not affect the operation of this method.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute[] `` `` ``

  The return value contains the custom attributes for ancestors of if is true.

  Starting with the .NET Framework version 2.0, this method returns security attributes on methods, constructors, and types if the attributes are stored in the new metadata format. Assemblies compiled with version 2.0 or later use the new format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  Retrieves an array of the custom attributes applied to a member of a type. Parameters specify the member, the type of the custom attribute to search for, and whether to search ancestors of the member.

  An array that contains the custom attributes of type applied to , or an empty array if no such custom attributes exist.

  An object derived from the class that describes a constructor, event, field, method, or property member of a class. The type, or a base type, of the custom attribute to search for. If true, specifies to also search the ancestors of for custom attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute[] `` `` ``

  The return value contains the custom attributes for ancestors of if is true.

  Retrieves an array of the custom attributes applied to a module. Parameters specify the module, the type of the custom attribute to search for, and an ignored search option.

  An array that contains the custom attributes of type applied to , or an empty array if no such custom attributes exist.

  An object derived from the class that describes a portable executable file. The type, or a base type, of the custom attribute to search for. This parameter is ignored, and does not affect the operation of this method.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute[] `` `` ``

  If represents a parameter in a method of a derived type, the return value includes the inheritable custom attributes applied to the same parameter in the overridden base methods.

  Retrieves an array of the custom attributes applied to a method parameter. Parameters specify the method parameter, the type of the custom attribute to search for, and whether to search ancestors of the method parameter.

  An array that contains the custom attributes of type applied to , or an empty array if no such custom attributes exist.

  An object derived from the class that describes a parameter of a member of a class. The type, or a base type, of the custom attribute to search for. If true, specifies to also search the ancestors of for custom attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  The default implementation of this class returns false, and must be implemented in the derived class to be useful to that class.

  The implementation of this method in a derived class compares the value of this instance to a standard default value, then returns a Boolean value that indicates whether the value of this instance is equal to the standard value. The standard value is typically coded as a constant in the implementation, or stored programmatically in a field used by the implementation.

  When overridden in a derived class, indicates whether the value of this instance is the default value for the derived class.

  true if this instance is the default attribute for the class; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` or is . is not derived from .

  Starting with the .NET Framework version 2.0, this method returns true if the assembly has security attributes stored in the new metadata format. Assemblies compiled with version 2.0 or later use the new format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  Determines whether any custom attributes are applied to an assembly. Parameters specify the assembly, and the type of the custom attribute to search for.

  true if a custom attribute of type is applied to ; otherwise, false.

  An object derived from the class that describes a reusable collection of modules. The type, or a base type, of the custom attribute to search for. 1 RuntimeInfrastructure Reflection
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` or is . is not derived from . is not a constructor, method, property, event, type, or field.

  The ancestors of are searched for custom attributes.

  Starting with the .NET Framework version 2.0, this method returns true if a type, method, or constructor has security attributes stored in the new metadata format. Assemblies compiled with version 2.0 or later use the new format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  Determines whether any custom attributes are applied to a member of a type. Parameters specify the member, and the type of the custom attribute to search for.

  true if a custom attribute of type is applied to ; otherwise, false.

  An object derived from the class that describes a constructor, event, field, method, type, or property member of a class. The type, or a base type, of the custom attribute to search for. 1 Reflection
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` or is . is not derived from .

  The ancestors of are not searched for custom attributes.

  Determines whether any custom attributes of a specified type are applied to a module. Parameters specify the module, and the type of the custom attribute to search for.

  true if a custom attribute of type is applied to ; otherwise, false.

  An object derived from the class that describes a portable executable file. The type, or a base type, of the custom attribute to search for. 1 Reflection
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` or is . is not derived from .

  The ancestors of are searched for custom attributes.

  Determines whether any custom attributes are applied to a method parameter. Parameters specify the method parameter, and the type of the custom attribute to search for.

  true if a custom attribute of type is applied to ; otherwise, false.

  An object derived from the class that describes a parameter of a member of a class. The type, or a base type, of the custom attribute to search for. 1 Reflection
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` ``

  Starting with the .NET Framework version 2.0, this method returns true if the assembly has security attributes stored in the new metadata format. Assemblies compiled with version 2.0 or later use the new format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  Determines whether any custom attributes are applied to an assembly. Parameters specify the assembly, the type of the custom attribute to search for, and an ignored search option.

  true if a custom attribute of type is applied to ; otherwise, false.

  An object derived from the class that describes a reusable collection of modules. The type, or a base type, of the custom attribute to search for. This parameter is ignored, and does not affect the operation of this method.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` ``

  Starting with the .NET Framework version 2.0, this method returns true if a type, method, or constructor has security attributes stored in the new metadata format. Assemblies compiled with version 2.0 or later use the new format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  Determines whether any custom attributes are applied to a member of a type. Parameters specify the member, the type of the custom attribute to search for, and whether to search ancestors of the member.

  true if a custom attribute of type is applied to ; otherwise, false.

  An object derived from the class that describes a constructor, event, field, method, type, or property member of a class. The type, or a base type, of the custom attribute to search for. If true, specifies to also search the ancestors of for custom attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` ``

  This method ignores the parameter and does not search the ancestors of for custom attributes.

  Determines whether any custom attributes are applied to a module. Parameters specify the module, the type of the custom attribute to search for, and an ignored search option.

  true if a custom attribute of type is applied to ; otherwise, false.

  An object derived from the class that describes a portable executable file. The type, or a base type, of the custom attribute to search for. This parameter is ignored, and does not affect the operation of this method.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` To be added.

  Determines whether any custom attributes are applied to a method parameter. Parameters specify the method parameter, the type of the custom attribute to search for, and whether to search ancestors of the method parameter.

  true if a custom attribute of type is applied to ; otherwise, false.

  An object derived from the class that describes a parameter of a member of a class. The type, or a base type, of the custom attribute to search for. If true, specifies to also search the ancestors of for custom attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method determines if one equals another. Its default implementation is the same as , which performs a value and reference comparison. Override this method to implement support for attribute values, such as flags or bit fields, that consist of components that are meaningful in themselves.

  For example, consider an attribute whose value is a binary field divided into a bit field of flags. Two instances of this attribute have one flag in set in common while all the other flags differ. The method cannot determine that the two instances have the same flag set, but the method can.

  When overridden in a derived class, returns a value that indicates whether this instance equals a specified object.

  true if this instance equals ; otherwise, false.

  An to compare with this instance of .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  As implemented, this identifier is merely the of the attribute. However, it is intended that the unique identifier be used to identify two attributes of the same type.

  When implemented in a derived class, gets a unique identifier for this .

0